## libxt-java 0.20020426a

=== src/com/Makefile ===
# $Id: Makefile,v 1.2 2002/04/25 19:24:35 bill Exp $

TOP=..
include $(TOP)/makefile.config

SUB_DIRS=jclark


# build all class files in current dir and all sub dirs
all:
	@echo "making $(CURRENT_DIR) ..."
	@if [ "$(SUB_DIRS)" != "" ]; then \
	for dir in $(SUB_DIRS); do \
	  cd $${dir}; \
	  $(MAKE); \
	  cd ..; \
	done; \
	fi

# remove all class files in current dir and all sub dirs
clean:
	@echo "cleaning $(CURRENT_DIR) ..."
	@rm -f *.class
	@if [ "$(SUB_DIRS)" != "" ]; then \
	for dir in $(SUB_DIRS); do \
	  cd $${dir}; \
	  $(MAKE) clean; \
	  cd ..; \
	done; \
	fi

# compile documentation
docs:
	@echo "making docs in $(CURRENT_DIR) ..."
	for dir in  $(SUB_DIRS); do \
	  cd $${dir}; \
	  $(MAKE) docs; \
	  cd ..; \
	done

=== src/com/jclark/Makefile ===
# $Id: Makefile,v 1.2 2002/04/25 19:24:01 bill Exp $

TOP=../..
include $(TOP)/makefile.config

SUB_DIRS=xsl


# build all class files in current dir and all sub dirs
all:
	@echo "making $(CURRENT_DIR) ..."
	@if [ "$(SUB_DIRS)" != "" ]; then \
	for dir in $(SUB_DIRS); do \
	  cd $${dir}; \
	  $(MAKE); \
	  cd ..; \
	done; \
	fi

# remove all class files in current dir and all sub dirs
clean:
	@echo "cleaning $(CURRENT_DIR) ..."
	@rm -f *.class
	@if [ "$(SUB_DIRS)" != "" ]; then \
	for dir in $(SUB_DIRS); do \
	  cd $${dir}; \
	  $(MAKE) clean; \
	  cd ..; \
	done; \
	fi

# compile documentation
docs:
	@echo "making docs in $(CURRENT_DIR) ..."
	for dir in  $(SUB_DIRS); do \
	  cd $${dir}; \
	  $(MAKE) docs; \
	  cd ..; \
	done

=== src/com/jclark/xsl/Makefile ===
# $Id: Makefile,v 1.2 2002/04/25 19:23:34 bill Exp $

TOP=../../..
include $(TOP)/makefile.config

SUB_DIRS=conv dom expr om tr sax util


# build all class files in current dir and all sub dirs
all:
	@echo "making $(CURRENT_DIR) ..."
	@if [ "$(SUB_DIRS)" != "" ]; then \
	for dir in $(SUB_DIRS); do \
	  cd $${dir}; \
	  $(MAKE); \
	  cd ..; \
	done; \
	fi

# remove all class files in current dir and all sub dirs
clean:
	@echo "cleaning $(CURRENT_DIR) ..."
	@rm -f *.class
	@if [ "$(SUB_DIRS)" != "" ]; then \
	for dir in $(SUB_DIRS); do \
	  cd $${dir}; \
	  $(MAKE) clean; \
	  cd ..; \
	done; \
	fi

# compile documentation
docs:
	@echo "making docs in $(CURRENT_DIR) ..."
	for dir in  $(SUB_DIRS); do \
	  cd $${dir}; \
	  $(MAKE) docs; \
	  cd ..; \
	done

=== src/com/jclark/xsl/conv/Makefile ===
# $Id: Makefile,v 1.2 2002/04/25 19:18:45 bill Exp $


TOP=../../../..
include $(TOP)/makefile.config

SUB_DIRS=


# build all class files in current dir and all sub dirs
all:
	@echo "making $(CURRENT_DIR) ..."
	@$(JAVAC) $(JAVAC_ARGS) *.java
	@if [ "$(SUB_DIRS)" != "" ]; then \
	for dir in $(SUB_DIRS); do \
	  cd $${dir}; \
	  $(MAKE); \
	  cd ..; \
	done; \
	fi

# remove all class files in current dir and all sub dirs
clean:
	@echo "cleaning $(CURRENT_DIR) ..."
	@rm -f *.class
	@if [ "$(SUB_DIRS)" != "" ]; then \
	for dir in $(SUB_DIRS); do \
	  cd $${dir}; \
	  $(MAKE) clean; \
	  cd ..; \
	done; \
	fi

# compile documentation
docs:
	@echo "making docs in $(CURRENT_DIR) ..."
	for dir in  $(SUB_DIRS); do \
	  cd $${dir}; \
	  $(MAKE) docs; \
	  cd ..; \
	done

=== src/com/jclark/xsl/dom/Makefile ===
# $Id: Makefile,v 1.2 2002/04/25 19:19:05 bill Exp $

TOP=../../../..
include $(TOP)/makefile.config

SUB_DIRS=


# build all class files in current dir and all sub dirs
all:
	@echo "making $(CURRENT_DIR) ..."
	@$(JAVAC) $(JAVAC_ARGS) *.java
	@if [ "$(SUB_DIRS)" != "" ]; then \
	for dir in $(SUB_DIRS); do \
	  cd $${dir}; \
	  $(MAKE); \
	  cd ..; \
	done; \
	fi

# remove all class files in current dir and all sub dirs
clean:
	@echo "cleaning $(CURRENT_DIR) ..."
	@rm -f *.class
	@if [ "$(SUB_DIRS)" != "" ]; then \
	for dir in $(SUB_DIRS); do \
	  cd $${dir}; \
	  $(MAKE) clean; \
	  cd ..; \
	done; \
	fi

# compile documentation
docs:
	@echo "making docs in $(CURRENT_DIR) ..."
	for dir in  $(SUB_DIRS); do \
	  cd $${dir}; \
	  $(MAKE) docs; \
	  cd ..; \
	done

=== src/com/jclark/xsl/expr/Makefile ===
# $Id: Makefile,v 1.2 2002/04/25 19:19:35 bill Exp $

TOP=../../../..
include $(TOP)/makefile.config

SUB_DIRS=


# build all class files in current dir and all sub dirs
all:
	@echo "making $(CURRENT_DIR) ..."
	@$(JAVAC) $(JAVAC_ARGS) *.java
	@if [ "$(SUB_DIRS)" != "" ]; then \
	for dir in $(SUB_DIRS); do \
	  cd $${dir}; \
	  $(MAKE); \
	  cd ..; \
	done; \
	fi

# remove all class files in current dir and all sub dirs
clean:
	@echo "cleaning $(CURRENT_DIR) ..."
	@rm -f *.class
	@if [ "$(SUB_DIRS)" != "" ]; then \
	for dir in $(SUB_DIRS); do \
	  cd $${dir}; \
	  $(MAKE) clean; \
	  cd ..; \
	done; \
	fi

# compile documentation
docs:
	@echo "making docs in $(CURRENT_DIR) ..."
	for dir in  $(SUB_DIRS); do \
	  cd $${dir}; \
	  $(MAKE) docs; \
	  cd ..; \
	done

=== src/com/jclark/xsl/om/Makefile ===
# $Id: Makefile,v 1.2 2002/04/25 19:19:53 bill Exp $

TOP=../../../..
include $(TOP)/makefile.config

SUB_DIRS=


# build all class files in current dir and all sub dirs
all:
	@echo "making $(CURRENT_DIR) ..."
	@$(JAVAC) $(JAVAC_ARGS) *.java
	@if [ "$(SUB_DIRS)" != "" ]; then \
	for dir in $(SUB_DIRS); do \
	  cd $${dir}; \
	  $(MAKE); \
	  cd ..; \
	done; \
	fi

# remove all class files in current dir and all sub dirs
clean:
	@echo "cleaning $(CURRENT_DIR) ..."
	@rm -f *.class
	@if [ "$(SUB_DIRS)" != "" ]; then \
	for dir in $(SUB_DIRS); do \
	  cd $${dir}; \
	  $(MAKE) clean; \
	  cd ..; \
	done; \
	fi

# compile documentation
docs:
	@echo "making docs in $(CURRENT_DIR) ..."
	for dir in  $(SUB_DIRS); do \
	  cd $${dir}; \
	  $(MAKE) docs; \
	  cd ..; \
	done

=== src/com/jclark/xsl/sax/Makefile ===
# $Id: Makefile,v 1.2 2002/04/25 19:20:08 bill Exp $


TOP=../../../..
include $(TOP)/makefile.config

SUB_DIRS=


# build all class files in current dir and all sub dirs
all:
	@echo "making $(CURRENT_DIR) ..."
	@$(JAVAC) $(JAVAC_ARGS) *.java
	@if [ "$(SUB_DIRS)" != "" ]; then \
	for dir in $(SUB_DIRS); do \
	  cd $${dir}; \
	  $(MAKE); \
	  cd ..; \
	done; \
	fi

# remove all class files in current dir and all sub dirs
clean:
	@echo "cleaning $(CURRENT_DIR) ..."
	@rm -f *.class
	@if [ "$(SUB_DIRS)" != "" ]; then \
	for dir in $(SUB_DIRS); do \
	  cd $${dir}; \
	  $(MAKE) clean; \
	  cd ..; \
	done; \
	fi

# compile documentation
docs:
	@echo "making docs in $(CURRENT_DIR) ..."
	for dir in  $(SUB_DIRS); do \
	  cd $${dir}; \
	  $(MAKE) docs; \
	  cd ..; \
	done

=== src/com/jclark/xsl/tr/Makefile ===
# $Id: Makefile,v 1.1 2002/04/25 19:16:24 bill Exp $


TOP=../../../..
include $(TOP)/makefile.config

SUB_DIRS=


# build all class files in current dir and all sub dirs
all:
	@echo "making $(CURRENT_DIR) ..."
	@$(JAVAC) $(JAVAC_ARGS) *.java
	@if [ "$(SUB_DIRS)" != "" ]; then \
	for dir in $(SUB_DIRS); do \
	  cd $${dir}; \
	  $(MAKE); \
	  cd ..; \
	done; \
	fi

# remove all class files in current dir and all sub dirs
clean:
	@echo "cleaning $(CURRENT_DIR) ..."
	@rm -f *.class
	@if [ "$(SUB_DIRS)" != "" ]; then \
	for dir in $(SUB_DIRS); do \
	  cd $${dir}; \
	  $(MAKE) clean; \
	  cd ..; \
	done; \
	fi

# compile documentation
docs:
	@echo "making docs in $(CURRENT_DIR) ..."
	for dir in  $(SUB_DIRS); do \
	  cd $${dir}; \
	  $(MAKE) docs; \
	  cd ..; \
	done

=== src/com/jclark/xsl/util/Makefile ===
# $Id: Makefile,v 1.1 2002/04/25 19:17:41 bill Exp $


TOP=../../../..
include $(TOP)/makefile.config

SUB_DIRS=


# build all class files in current dir and all sub dirs
all:
	@echo "making $(CURRENT_DIR) ..."
	@$(JAVAC) $(JAVAC_ARGS) *.java
	@if [ "$(SUB_DIRS)" != "" ]; then \
	for dir in $(SUB_DIRS); do \
	  cd $${dir}; \
	  $(MAKE); \
	  cd ..; \
	done; \
	fi

# remove all class files in current dir and all sub dirs
clean:
	@echo "cleaning $(CURRENT_DIR) ..."
	@rm -f *.class
	@if [ "$(SUB_DIRS)" != "" ]; then \
	for dir in $(SUB_DIRS); do \
	  cd $${dir}; \
	  $(MAKE) clean; \
	  cd ..; \
	done; \
	fi

# compile documentation
docs:
	@echo "making docs in $(CURRENT_DIR) ..."
	for dir in  $(SUB_DIRS); do \
	  cd $${dir}; \
	  $(MAKE) docs; \
	  cd ..; \
	done

## libxt-java 0.20051206

=== debian/changelog ===
libxt-java (0.20051206-3) unstable; urgency=low

  * QA upload.
  * Update libservlet dependency to libservlet 2.5. (Closes: #658798)
  * Bump Standards-Version to 3.9.3.
  * Remove needless dependency on JRE.
  * Convert to source format 3.0 (quilt); refresh patches as needed.
  * Reword description to address lintian warnings.

 -- tony mancill <tmancill@debian.org>  Mon, 05 Mar 2012 21:16:22 -0800

libxt-java (0.20051206-2) unstable; urgency=low

  * QA upload.
  * Orphan package.

 -- Torsten Werner <twerner@debian.org>  Thu, 18 Aug 2011 15:10:31 +0200

libxt-java (0.20051206-1) unstable; urgency=low

  * New upstream release.
  * Added Homepage and Vcs-* fields to debian/control.
  * Made debian/rules determine the files to be installed
    based on the current version.
  * Use default-jre-headless as Depends instead of default-jdk.

 -- Niels Thykier <niels@thykier.net>  Sun, 20 Sep 2009 17:50:18 +0200

libxt-java (0.20050823-3) unstable; urgency=low

  * (Build-)Depends on default-jdk.
  * Added debian/patches/02_Java5.patch to compile with a Java5-
    capable compiler.
  * Build-Depends on debhelper >= 7.
  * Moved ant, cdbs and debhelper to Build-Depends.
  * Moved libxt-java to section 'java'.
  * Make libxt-java depend on ${misc:Depends}.
  * Removed Wolfgang and added myself to Uploaders.
  * Updated Standards-Version to 3.8.3.

 -- Michael Koch <konqueror@gmx.de>  Mon, 14 Sep 2009 22:50:37 +0200

libxt-java (0.20050823-2) unstable; urgency=low

  * kaffe compiler transition
  * Bumped debhelper version to fix linda error
  * Added myself to uploaders

 -- Wolfgang Baer <WBaer@gmx.de>  Thu, 19 Jan 2006 15:47:48 +0100

libxt-java (0.20050823-1) unstable; urgency=low

  * New upstream release (closes: #331644).
  * changed build system to ant and cdbs.
  * removed jikes and gnujaxp (provided by kaffe).
  * Standardd-Version updated to 3.6.2
  * updated servlet dependency to 2.4
  * removed examples (no more provided upstream AFAICS)

 -- Arnaud Vandyck <avdyk@debian.org>  Fri,  7 Oct 2005 16:16:17 +0200

libxt-java (0.20020426a-3) unstable; urgency=low

  * built with libservlet2.3-java, 2.2 is still an alternative for the
    installation
  * Standards-Version: 3.6.1, no change.

 -- Arnaud Vandyck <avdyk@debian.org>  Tue, 12 Apr 2005 11:14:47 +0200

libxt-java (0.20020426a-2) unstable; urgency=low

  * debian/control: changed maintainer to Debian Java Maintainers
    <pkg-java-maintainers@lists.alioth.debian.org> added my Debian mail as
    uploader.

 -- Arnaud Vandyck <avdyk@debian.org>  Fri,  5 Dec 2003 11:38:22 +0100

libxt-java (0.20020426a-1) unstable; urgency=low

  * New maintainer, closes: #200457
  * New upstream release, closes: #145444
  * Upstream has been reorganized, debian/rules hase been reworked to fit
    the changes
  * Changed the dependency from libcrimson-java to libgnujaxp-java
  * Changed section devel to libs which is IMHO more appropriated
  * Moved back to main because libservlet2.2-java is now in main
  * libservlet2-*-java is needed to build but only suggested to run (only
    two classes need the library in a web context)
  * Added the new upstream author Bill Lindsey <bill@blnz.com> in
    debian/copyright, also changed the download location

 -- Arnaud Vandyck <arnaud.vandyck@ulg.ac.be>  Mon, 15 Sep 2003 12:41:17 +0200

libxt-java (0.19991105-7) unstable; urgency=low

  * Changed section to contrib, closes: #201567.
  * Updated policy version from 3.5.2 to 3.5.10.
  * Fixed lintian error in copyright file.

 -- Ola Lundqvist <opal@debian.org>  Sat, 16 Aug 2003 16:41:03 +0200

libxt-java (0.19991105-6) unstable; urgency=low

  * Fixed build problem on i386, closes: #166149.
  * No linger depend on xalan2 (crimson instead) so it can still be
    in main, closes: #145077.
  * Added an alternative to the java-virtual-machine.
  * Added alternative dependency on libservlet-2.3, closes: #152836.

 -- Ola Lundqvist <opal@debian.org>  Mon,  4 Nov 2002 10:08:35 +0100

libxt-java (0.19991105-5) unstable; urgency=low

  * Fixed dependency, closes: #134730.

 -- Ola Lundqvist <opal@debian.org>  Mon,  4 Mar 2002 18:33:03 +0100

libxt-java (0.19991105-4) unstable; urgency=low

  * New name and removed dependency, closes: #128804.

 -- Ola Lundqvist <opal@debian.org>  Tue,  5 Feb 2002 21:29:58 +0100

lib-xt-java (0.19991105-3) unstable; urgency=low

  * Now compiles correctly, thanks Roderich Schupp <rsch@ExperTeam.de>
    for the patch, closes: #93285.

 -- Ola Lundqvist <opal@debian.org>  Fri, 13 Apr 2001 14:38:18 +0200

lib-xt-java (0.19991105-2) unstable; urgency=low

  * Fixed wrong section.
  * Added this line to close some bugs,
    closes: #92822, #43421, #65701, #71585, #91523.

 -- Ola Lundqvist <opal@debian.org>  Thu,  5 Apr 2001 23:10:22 +0200

lib-xt-java (0.19991105-1) unstable; urgency=low

  * New maintainer, closes: #92822.
  * Added java-virtual-machine to depends, closes: #43421.
  * New upstream version, closes: #65701.
  * If you do not know about theese acronyms you should not install
    this package, closes: #71585.
  * With this rebuild this should be fixed, closes: #91523.

 -- Ola Lundqvist <opal@debian.org>  Wed,  4 Apr 2001 08:08:29 +0200

lib-xt-java (0.19990725-1) unstable; urgency=low
	
  * New upstream release

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Mon,  9 Aug 1999 16:14:33 +0200

lib-xt-java (0.19990514-1) unstable; urgency=low

  * Initial Release, never uploaded

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Fri, 25 Jun 1999 10:54:47 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: libxt-java
Section: java
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7), cdbs, ant, default-jdk
Build-Depends-indep: libservlet2.5-java, docbook-to-man (>= 1:2.0.0)
Standards-Version: 3.9.3
Homepage: http://www.blnz.com/xt/
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/libxt-java
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/libxt-java

Package: libxt-java
Architecture: all
Depends: ${misc:Depends}
Conflicts: lib-xt-java
Replaces: lib-xt-java
Description: Implementation of XSL Transformations in Java
 Allows you to write Java applications which will
 process XSL stylesheets of XML documents.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2003 Stefan Gybas <sgybas@debian.org>

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

JAVA_HOME := /usr/lib/jvm/default-java

DEB_JARS := $(ANT_HOME)/lib/ant-launcher.jar servlet-api-2.5
DEB_ANT_BUILD_TARGET   := compile

LIBRARY_PACKAGE := xt
API_VERSION     := $(shell echo $(DEB_UPSTREAM_VERSION) | sed 's/^0.//g')


install/lib$(LIBRARY_PACKAGE)-java::
	install -m 644 lib/$(LIBRARY_PACKAGE)$(API_VERSION).jar debian/$(cdbs_curpkg)/usr/share/java/$(LIBRARY_PACKAGE)-$(DEB_UPSTREAM_VERSION).jar
	ln -s $(LIBRARY_PACKAGE)-$(DEB_UPSTREAM_VERSION).jar debian/$(cdbs_curpkg)/usr/share/java/$(LIBRARY_PACKAGE).jar

=== debian/watch ===
version=3
opts=uversionmangle=s/^/0./ \
 http://www.blnz.com/xt/xt-(\d+)-src\.zip
